<?php
/**
 * @copyright (c) Kufer Software GmbH, Loisachstrasse 4, D-84453 Mühldorf
 */


class Tagcloud extends Datamodul
{
  
  public $link;

  
  public $text;

  
  public $prio;

  
  public $groesse;

  
  public $title;

  public function getTyp($pFieldName)
  {
    switch ($pFieldName) {
      default:
        return parent::getTyp($pFieldName);
      case 'link':
      case 'text':
      case 'title':
        return \DatamodulVarType::TYPE_STRING;
      case 'groesse':
      case 'prio':
        return \DatamodulVarType::TYPE_INT;
    }
  }
}